﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ContinuousVirtualizationDemo.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public JsonResult Customers()
        {
            NorthwindEntities nwEFmodel = new NorthwindEntities();
            //quadruple the customers for the flat grid 
            var customerDataMultiplied = nwEFmodel.Customers.Concat(nwEFmodel.Customers).Concat(nwEFmodel.Customers).Concat(nwEFmodel.Customers);

            return Json(customerDataMultiplied, JsonRequestBehavior.AllowGet);
        }

        public JsonResult CustomersAndOrders()
        {
            NorthwindEntities nwEFmodel = new NorthwindEntities();
            return Json(nwEFmodel.Customers.Include("Orders"),JsonRequestBehavior.AllowGet);
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
